HdfsProtos.ChecksumTypeProto (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol.proto, class: HdfsProtos, enum: ChecksumTypeProto

Package org.apache.hadoop.hdfs.protocol.proto

# Enum Class HdfsProtos.ChecksumTypeProto

java.lang.Object
java.lang.Enum<HdfsProtos.ChecksumTypeProto>
org.apache.hadoop.hdfs.protocol.proto.HdfsProtos.ChecksumTypeProto

All Implemented Interfaces:
  `Serializable`, `Comparable<HdfsProtos.ChecksumTypeProto>`, `Constable`, `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`, `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

Enclosing class:
  org.apache.hadoop.hdfs.protocol.proto.HdfsProtos

public static enum HdfsProtos.ChecksumTypeProto extends Enum<HdfsProtos.ChecksumTypeProto> implements org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum

     Checksum algorithms/types used in HDFS
     Make sure this enum's integer values match enum values' id properties defined
     in org.apache.hadoop.util.DataChecksum.Type

Protobuf enum `hadoop.hdfs.ChecksumTypeProto`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHECKSUM_CRC32`
  `CHECKSUM_CRC32 = 1;`
  `CHECKSUM_CRC32C`
  `CHECKSUM_CRC32C = 2;`
  `CHECKSUM_NULL`
  `CHECKSUM_NULL = 0;`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CHECKSUM_CRC32_VALUE`
  `CHECKSUM_CRC32 = 1;`
  `static final int`
  `CHECKSUM_CRC32C_VALUE`
  `CHECKSUM_CRC32C = 2;`
  `static final int`
  `CHECKSUM_NULL_VALUE`
  `CHECKSUM_NULL = 0;`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HdfsProtos.ChecksumTypeProto`
  `forNumber(int value)`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptor()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptorForType()`
  `final int`
  `getNumber()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor`
  `getValueDescriptor()`
  `static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<HdfsProtos.ChecksumTypeProto>`
  `internalGetValueMap()`
  `static HdfsProtos.ChecksumTypeProto`
  `valueOf(int value)`
  Deprecated.
  `static HdfsProtos.ChecksumTypeProto`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HdfsProtos.ChecksumTypeProto`
  `valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)`
  Returns the enum constant of this class with the specified name.
  `static HdfsProtos.ChecksumTypeProto[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHECKSUM_NULL

    public static final HdfsProtos.ChecksumTypeProto CHECKSUM_NULL
    `CHECKSUM_NULL = 0;`

  - ### CHECKSUM_CRC32

    public static final HdfsProtos.ChecksumTypeProto CHECKSUM_CRC32
    `CHECKSUM_CRC32 = 1;`

  - ### CHECKSUM_CRC32C

    public static final HdfsProtos.ChecksumTypeProto CHECKSUM_CRC32C
    `CHECKSUM_CRC32C = 2;`

- ## Field Details

  - ### CHECKSUM_NULL_VALUE

    public static final int CHECKSUM_NULL_VALUE
    `CHECKSUM_NULL = 0;`
    See Also:
      - Constant Field Values

  - ### CHECKSUM_CRC32_VALUE

    public static final int CHECKSUM_CRC32_VALUE
    `CHECKSUM_CRC32 = 1;`
    See Also:
      - Constant Field Values

  - ### CHECKSUM_CRC32C_VALUE

    public static final int CHECKSUM_CRC32C_VALUE
    `CHECKSUM_CRC32C = 2;`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static HdfsProtos.ChecksumTypeProto[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HdfsProtos.ChecksumTypeProto valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static HdfsProtos.ChecksumTypeProto valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static HdfsProtos.ChecksumTypeProto forNumber(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<HdfsProtos.ChecksumTypeProto> internalGetValueMap()

  - ### getValueDescriptor

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static HdfsProtos.ChecksumTypeProto valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null